/// <reference types="react" />
import { type AvatarProps } from '../Avatar';
export declare const ProfileRoot: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<import("..").WithoutEmotionSpecific<import("@mui/material").ButtonProps>, "color" | "component" | "variant" | "centerRipple" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "TouchRippleProps" | "touchRippleRef" | "disableFocusRipple"> & {
    variant?: "light" | "link" | "text" | "contained" | "outlined" | undefined;
    loading?: boolean | undefined;
    color?: "primary" | "success" | "warning" | "error" | "grey" | undefined;
    component?: import("react").ElementType | undefined;
    selected?: boolean | undefined;
} & Omit<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, ""> & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const User: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Credentials: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledChevron: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    isActive?: boolean | undefined;
    className?: string | undefined;
} & Omit<import("..").WithoutEmotionSpecific<import("@mui/material").SvgIconProps>, "classes" | "children" | "ref"> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const StyledAvatar: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<AvatarProps, "ref"> & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & import("..").WithoutEmotionSpecific<import("@mui/material").AvatarProps> & {
    color?: string | undefined;
    size?: import("../Avatar").AvatarSize | undefined;
}, {}, {}>;
